Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: dde-qt-dbus-factory
Upstream-Contact: https://github.com/linuxdeepin/dde-qt-dbus-factory/issues
Source: https://github.com/linuxdeepin/dde-qt-dbus-factory/

Files: *
Copyright:
 2011-2021 Deepin Technology Co., Ltd.
 Zhang Qipeng <zhangqipeng@uniontech.com>
License: GPL-3+

Files: debian/*
Copyright: 2017 Boyuan Yang <073plan@gmail.com>
           2020 Arun Kumar Pariyar <openarungeek@gmail.com>
License: GPL-3+

Files: libdframeworkdbus/qtdbusextended/*
Copyright: 2015 Jolla Ltd.
License: LGPL-2.1+
Comments:
 Contact: Valerio Valerio <valerio.valerio@jolla.com>
 Author: Andres Gomez <andres.gomez@jolla.com>

Files: tools/qdbusxml2cpp/*
Copyright: 2015 The Qt Company Ltd.
           2016 Deepin Technology Co., Ltd.
License: LGPL-2.1 or LGPL-3
Comments:
 This is a modified version of the official qdbusxml2cpp, born with the
 support of property changed signals.

License: LGPL-2.1+
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.
 .
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.
 .
 On Debian systems the complete text of the GNU Lesser General Public
 License can be found in the `/usr/share/common-licenses/LGPL-2.1' file.
 .
 You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.

License: LGPL-2.1
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; version
 2.1 of the License.
 .
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.
 .
 On Debian systems the complete text of the GNU Lesser General Public
 License can be found in the `/usr/share/common-licenses/LGPL-2.1' file.
 .
 You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.

License: LGPL-3
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; version
 3 of the License.
 .
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.
 .
 On Debian systems the complete text of the GNU Lesser General Public
 License can be found in the `/usr/share/common-licenses/LGPL-3' file.
 .
 You should have received a copy of the GNU Lesser General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.

License: GPL-3+
 This package is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 3 of the License, or
 (at your option) any later version.
 .
 This package is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License
 along with this program. If not, see <https://www.gnu.org/licenses/>
 .
 On Debian systems, the complete text of the GNU General
 Public License version 3 can be found in "/usr/share/common-licenses/GPL-3".
